Summary: Versatile vmstat, iostat and ifstat replacement
Name: dstat
Version: 0.6.9
Release: %mkrel 1
License: GPL
Group: System/Kernel and hardware
URL: http://dag.wieers.com/home-made/dstat/
Source: http://dag.wieers.com/home-made/dstat/dstat-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

%description
Dstat is a versatile replacement for vmstat, iostat and ifstat. Dstat
overcomes some of the limitations and adds some extra features.

Dstat allows you to view all of your system resources instantly,
you can eg. compare disk usage in combination with interrupts from
your IDE controller, or compare the network bandwidth numbers
directly with the disk throughput (in the same interval).

Dstat also cleverly gives you the most detailed information in
columns and clearly indicates in what magnitude and unit the output
is displayed. Less confusion, less mistakes.

Dstat is also unique in letting you aggregate block device throughput
for a certain diskset or network bandwidth for a group of interfaces,
ie. you can see the throughput for all the block devices that make up
a single filesystem or storage system.

You can customize your dstat output from /etc/dstat.conf and you can
write your own dstat modules to plug into the dstat output.

Dstat's output, in its current form, is not very useful to be post-
processed by other tools. It's mostly meant for allowing humans to
interprete real-time data as easy as possible.

%prep
%setup -q

%install
%makeinstall

mkdir -p %buildroot%_mandir/man1
install -m 644 docs/dstat.1 %buildroot%_mandir/man1/dstat.1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING README TODO 
%{_bindir}/dstat
%_datadir/%name
%doc %{_mandir}/man1/dstat.1*


%changelog
* Sun Jan 04 2009 Olivier Thauvin <nanardon@mandriva.org> 0.6.9-1mdv2009.1
+ Revision: 324540
- 0.6.9

* Fri Sep 12 2008 Olivier Thauvin <nanardon@mandriva.org> 0.6.8-1mdv2009.0
+ Revision: 284101
- 0.6.8

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.7-3mdv2009.0
+ Revision: 244553
- rebuild

* Tue Feb 26 2008 Erwan Velu <erwan@mandriva.org> 0.6.7-1mdv2008.1
+ Revision: 175415
- 0.6.7
- 0.6.7

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Apr 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.6-1mdv2008.0
+ Revision: 18963
- new version

* Fri Apr 20 2007 Olivier Thauvin <nanardon@mandriva.org> 0.6.5-1mdv2008.0
+ Revision: 15940
- 0.6.5


* Thu Dec 14 2006 Olivier Thauvin <nanardon@mandriva.org> 0.6.4-1mdv2007.0
+ Revision: 96670
- 0.6.4
- Import dstat

* Fri Jul 28 2006 Erwan Velu <erwan@mandriva.com> 0.6.3-1mdk
- 0.6.3

* Mon Mar 13 2006 Lenny Cartier <lenny@mandriva.com> 0.6.2-1mdk
- 0.6.2

* Tue Sep 06 2005 Olivier Thauvin <nanardon@mandriva.org> 0.6.1-1mdk
- 0.6.1

* Tue May 31 2005 Lenny Cartier <lenny@mandriva.com> 0.6.0-1mdk
- 0.6.0

* Tue Apr 26 2005 Olivier Thauvin <nanardon@mandriva.org> 0.5.10-1mdk
- 0.5.10

* Mon Dec 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-1mdk
- 0.5.6

* Thu Dec 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.5-1mdk
- 0.5.5

* Sun Nov 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.3-1mdk
- mdk spec

* Sun Nov 21 2004 Dag Wieers <dag@wieers.com> - 0.5.3-1
- Updated to release 0.5.3.

* Sat Nov 13 2004 Dag Wieers <dag@wieers.com> - 0.5.2-1
- Updated to release 0.5.2.

* Thu Nov 11 2004 Dag Wieers <dag@wieers.com> - 0.5.1-1
- Updated to release 0.5.1.

* Wed Oct 27 2004 Dag Wieers <dag@wieers.com> - 0.4-1
- Initial package. (using DAR)

